Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZMatrixType Class Reference

The class eZMatrixType does. More...

Inheritance diagram for eZMatrixType:

## Public Member Functions
| __construct ()
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| storeObjectAttribute ( $contentObjectAttribute)
| storeClassAttribute ( $contentClassAttribute, $version)
| objectAttributeContent ( $contentObjectAttribute)
| hasObjectAttributeContent ( $contentObjectAttribute)
| metaData ( $contentObjectAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $contentObjectAttribute, $parameters)
| title ( $contentObjectAttribute, $name='name')
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| preStoreClassAttribute ( $classAttribute, $version)
| classAttributeContent ( $contentClassAttribute)
| customClassAttributeHTTPAction ( $http, $action, $contentClassAttribute)
| isIndexable ()
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| supportsBatchInitializeObjectAttribute ()
| batchInitializeObjectAttributeData ( $classAttribute)
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| initializeClassAttribute ( $classAttribute)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| isInformationCollector ()
| sortKey ( $objectAttribute)
| sortKeyType ()
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| diff ( $old, $new, $options=false)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)

## Public Attributes
const | DEFAULT_NAME_VARIABLE = '_ezmatrix_default_name_'
const | NUM_COLUMNS_VARIABLE = '_ezmatrix_default_num_columns_'
const | NUM_ROWS_VARIABLE = '_ezmatrix_default_num_rows_'
const | CELL_VARIABLE = '_ezmatrix_cell_'
const | DATA_TYPE_STRING = 'ezmatrix'
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

The class eZMatrixType does.

Definition at line 18 of file ezmatrixtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMatrixType::__construct | ( |  | ) |

Definition at line 27 of file ezmatrixtype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ batchInitializeObjectAttributeData()

eZMatrixType::batchInitializeObjectAttributeData | ( |  | $classAttribute | ) |

Reimplemented from eZDataType.

Definition at line 510 of file ezmatrixtype.php.

References eZDB\instance().

## ◆ classAttributeContent()

eZMatrixType::classAttributeContent | ( |  | $contentClassAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 345 of file ezmatrixtype.php.

## ◆ customClassAttributeHTTPAction()

eZMatrixType::customClassAttributeHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $classAttribute
| ) |  |

Executes a custom action for a class attribute which was defined on the web page.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 352 of file ezmatrixtype.php.

References eZDebug\writeError().

## ◆ customObjectAttributeHTTPAction()

eZMatrixType::customObjectAttributeHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $objectAttribute,
|  |  | $parameters
| ) |  |

Executes a custom action for an object attribute which was defined on the web page.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 149 of file ezmatrixtype.php.

References eZDebug\writeError().

## ◆ fetchClassAttributeHTTPInput()

eZMatrixType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 246 of file ezmatrixtype.php.

References eZCharTransform\instance().

## ◆ fetchObjectAttributeHTTPInput()

eZMatrixType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post var matrix cells input and stores it in the data instance.

Reimplemented from eZDataType.

Definition at line 129 of file ezmatrixtype.php.

## ◆ fromString()

eZMatrixType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 407 of file ezmatrixtype.php.

References eZStringUtils\explodeStr().

## ◆ hasObjectAttributeContent()

eZMatrixType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 92 of file ezmatrixtype.php.

## ◆ initializeObjectAttribute()

eZMatrixType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Sets the default value.

Reimplemented from eZDataType.

Definition at line 220 of file ezmatrixtype.php.

## ◆ isIndexable()

eZMatrixType::isIndexable | ( |  | ) |

Returns
  true if the datatype can be indexed

Reimplemented from eZDataType.

Definition at line 383 of file ezmatrixtype.php.

## ◆ metaData()

eZMatrixType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indeces.

Reimplemented from eZDataType.

Definition at line 108 of file ezmatrixtype.php.

## ◆ objectAttributeContent()

eZMatrixType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 83 of file ezmatrixtype.php.

## ◆ preStoreClassAttribute()

eZMatrixType::preStoreClassAttribute | ( |  | $classAttribute,
|  |  | $version
| ) |  |

Similar to the storeClassAttribute but is called before the attribute itself is stored and can be used to set values in the class attribute.

Returns
  True if the value was stored correctly.

See also
  fetchClassAttributeHTTPInput

Reimplemented from eZDataType.

Definition at line 336 of file ezmatrixtype.php.

## ◆ serializeContentClassAttribute()

eZMatrixType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 436 of file ezmatrixtype.php.

## ◆ serializeContentObjectAttribute()

eZMatrixType::serializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute
| ) |  |

Parameters

  package |
  objectAttribute | content attribute

Returns
  a DOM representation of the content object attribute

Reimplemented from eZDataType.

Definition at line 485 of file ezmatrixtype.php.

References eZDataType\createContentObjectAttributeDOMNode().

## ◆ storeClassAttribute()

eZMatrixType::storeClassAttribute | ( |  | $classAttribute,
|  |  | $version
| ) |  |

Stores the datatype data to the database which is related to the class attribute. The $version parameter determines which version is currently being stored, 0 is the real version while 1 is the temporary version.

Returns
  True if the value was stored correctly.

Note
  The method is entirely up to the datatype, for instance it could reuse the available types in the the attribute or store in a separate object.
  This function is called after the attribute data has been stored. If you need to alter attribute data use preStoreClassAttribute instead.

See also
  fetchClassAttributeHTTPInput

Reimplemented from eZDataType.

Definition at line 72 of file ezmatrixtype.php.

## ◆ storeObjectAttribute()

eZMatrixType::storeObjectAttribute | ( |  | $contentObjectAttribute | ) |

Store content

Reimplemented from eZDataType.

Definition at line 64 of file ezmatrixtype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZMatrixType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 505 of file ezmatrixtype.php.

## ◆ title()

eZMatrixType::title | ( |  | $contentObjectAttribute,
|  |  | $name = `'name'`
| ) |  |

Returns the integer value.

Reimplemented from eZDataType.

Definition at line 208 of file ezmatrixtype.php.

## ◆ toString()

eZMatrixType::toString | ( |  | $contentObjectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 392 of file ezmatrixtype.php.

References eZStringUtils\implodeStr().

## ◆ unserializeContentClassAttribute()

eZMatrixType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 466 of file ezmatrixtype.php.

## ◆ unserializeContentObjectAttribute()

eZMatrixType::unserializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute,
|  |  | $attributeNode
| ) |  |

Unserialize contentobject attribute

Parameters

  package |
  objectAttribute | contentobject attribute object
  attributeNode | ezdomnode object

Reimplemented from eZDataType.

Definition at line 498 of file ezmatrixtype.php.

## ◆ validateObjectAttributeHTTPInput()

eZMatrixType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 37 of file ezmatrixtype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## Member Data Documentation

## ◆ CELL_VARIABLE

const eZMatrixType::CELL_VARIABLE = '_ezmatrix_cell_'

Definition at line 24 of file ezmatrixtype.php.

## ◆ DATA_TYPE_STRING

const eZMatrixType::DATA_TYPE_STRING = 'ezmatrix'

Definition at line 25 of file ezmatrixtype.php.

## ◆ DEFAULT_NAME_VARIABLE

const eZMatrixType::DEFAULT_NAME_VARIABLE = '_ezmatrix_default_name_'

Definition at line 20 of file ezmatrixtype.php.

## ◆ NUM_COLUMNS_VARIABLE

const eZMatrixType::NUM_COLUMNS_VARIABLE = '_ezmatrix_default_num_columns_'

Definition at line 22 of file ezmatrixtype.php.

## ◆ NUM_ROWS_VARIABLE

const eZMatrixType::NUM_ROWS_VARIABLE = '_ezmatrix_default_num_rows_'

Definition at line 23 of file ezmatrixtype.php.

The documentation for this class was generated from the following file:

- ezmatrixtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.